function h = surf( x, varargin )
%SURF Summary of this function goes here
% TDI/SURF plots TDI object (3D surface plot)
%
%   J. Kamleitner, CRPP, EPFL, Feb 2014

hh=surf(x.dim{2},x.dim{1},x.data,varargin{:});
xlabel(x.dimunits{2});
ylabel(x.dimunits{1});
zlabel(x.units);
title(x.help);

if(nargout==1)
    h=hh;
end

end

